Can I upgrade to PHP7?

Yes, Jobster theme is compatible with PHP7.